import { jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { getTweetUrl, formatNumber } from './utils.js';
import s from './tweet-replies.module.css';
export const TweetReplies = ({ tweet  })=>{
    const repliesLinkText = useMemo(()=>{
        if (tweet.conversation_count === 0) return 'Read more on Twitter';
        return tweet.conversation_count === 1 ? `Read ${formatNumber(tweet.conversation_count)} reply` : `Read ${formatNumber(tweet.conversation_count)} replies`;
    }, [
        tweet.conversation_count
    ]);
    return /*#__PURE__*/ _jsx("div", {
        className: s.replies,
        children: /*#__PURE__*/ _jsx("a", {
            className: s.link,
            href: getTweetUrl(tweet),
            target: "_blank",
            rel: "noopener noreferrer",
            children: /*#__PURE__*/ _jsx("span", {
                className: s.text,
                children: repliesLinkText
            })
        })
    });
};
